package com.bocloud.nms.model.hillstone;

import java.util.Objects;

public class ARPAuthModel extends HillStoneGenericModel {
    private Long vendorId; // 所属平台
    private String name; // 接口名称
    private Integer authArp; // 1->ARP强制认证 2->ARP强制认证+强制安装客户端 0->全部禁用

    public Long getVendorId() {
        return vendorId;
    }

    public void setVendorId(Long vendorId) {
        this.vendorId = vendorId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getAuthArp() {
        return authArp;
    }

    public void setAuthArp(Integer authArp) {
        this.authArp = authArp;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (null == o || getClass() != o.getClass()) {
            return false;
        }
        ARPAuthModel that = (ARPAuthModel) o;
        return Objects.equals(vendorId, that.vendorId) &&
            Objects.equals(name, that.name);
    }

    @Override
    public int hashCode() {
        return Objects.hash(vendorId, name);
    }
}
